Loading...
Searching...
No Matches
BALL::VIEW::AddBackboneModel::ModelPart Struct Reference

`#include <BALL/VIEW/MODELS/backboneModel.h>`

## Public Member Functions

| ModelPart ()
| ModelPart (const ModelPart &m)
const ModelPart & | operator= (const ModelPart &p)

## Public Attributes

vector< Residue * > | residues
Index | type
Position | first_guide_point
Position | last_guide_point
Position | first_point
Position | last_point

## Detailed Description

Definition at line 46 of file backboneModel.h.

## Constructor & Destructor Documentation

## ModelPart() [1/2]

BALL::VIEW::AddBackboneModel::ModelPart::ModelPart | ( |  | ) |

## ModelPart() [2/2]

BALL::VIEW::AddBackboneModel::ModelPart::ModelPart | ( | const ModelPart & | m | ) |

## Member Function Documentation

## operator=()

const ModelPart & BALL::VIEW::AddBackboneModel::ModelPart::operator= | ( | const ModelPart & | p | ) |

## Member Data Documentation

## first_guide_point

Position BALL::VIEW::AddBackboneModel::ModelPart::first_guide_point

Definition at line 57 of file backboneModel.h.

## first_point

Position BALL::VIEW::AddBackboneModel::ModelPart::first_point

Definition at line 60 of file backboneModel.h.

## last_guide_point

Position BALL::VIEW::AddBackboneModel::ModelPart::last_guide_point

Definition at line 58 of file backboneModel.h.

## last_point

Position BALL::VIEW::AddBackboneModel::ModelPart::last_point

Definition at line 61 of file backboneModel.h.

## residues

vector<Residue*> BALL::VIEW::AddBackboneModel::ModelPart::residues

Definition at line 53 of file backboneModel.h.

## type

Index BALL::VIEW::AddBackboneModel::ModelPart::type

Definition at line 55 of file backboneModel.h.